package com.ruoyi.basic.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.basic.domain.SysAppIndex;
import com.ruoyi.basic.domain.YjStore;

import java.util.List;

/**
 * <p>
 * 商户表 Mapper 接口
 * </p>
 *
 * @author xn
 * @since 2022-09-28
 */
public interface YjStoreMapper extends BaseMapper<YjStore> {

    YjStore getOne(Long deptId);
    List<YjStore> getStoreListByTenantId(String tenantId);

    List<YjStore> getStoreList();
    List<YjStore> getChilds(Long id);

    List<SysAppIndex> getAppIndex();
}
